/*****************************************************************************
* Module : testntoa
* Summary : To test if the inet_ntoa subroutine of the inet family works 
*	    properly.  Due to the byte ordering of different systems, the
#	    function does not always work as advertised.
* Input Args: None.
* Results   : Will print one of two messages, depending on if the function
*	      is broken or not.
* Assumptions : The program assumes that "sun408" is in the /etc/hosts file and
		the internet address is "129.99.32.145".
* Author:
*              Michele D. Crabb
*              Computer Sciences Corporation
*              NASA Ames Research Center
*              Mail Stop 258-6
*              Moffett Field, CA 94035
*              (415) 604 - 4337
*              crabb@amelia.nas.nasa.gov
*******************************************************************************/
#include <stdio.h>
#include <netdb.h>

main()

{
	char *host = "sequent.mcs.anl.gov";
	char *haddr = "140.221.10.1";
	struct hostent *hentry;
	char *taddr;

	 if ( (hentry = gethostbyname(host)) != NULL ) {
                taddr = inet_ntoa(hentry->h_addr_list[0]);
		if (strcmp(haddr,taddr) != 0 )
			(void) printf("The inet_ntoa function is broken.\n");
		else
			(void) printf("The inet_ntoa function works!\n");
	}
	else
		(void) printf("could not get hostentry for %s\n",host);

}

